.plan{
    display: flex;
    flex-direction: column;
    align-items: center;
}

.planTitle{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 383px;
    height: 79px;
    border-radius: 10px 10px 0 0;
}

.planTitle h3{
    text-align: center;
    font-family: var(--font-primary, sans-serif), sans-serif;
    font-size: 27px;
    font-style: normal;
    font-weight: 500;
    line-height: 39px;
}

.planInformation{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    width: 383px;
    height: 657px;
    border-radius: 0 0 10px 10px;
    border: 1px solid rgba(14, 52, 42, 0.40);
    padding: 30px 0;
    text-align: center;
}

.planDescription{
    width: 280px;
}

.planDescription p{
    color: var(--color-text);
    font-family: var(--font-secondary, sans-serif), sans-serif;
    font-size: 17px;
    font-style: normal;
    font-weight: 500;
    line-height: 25px;
}

.planPrice{
    display: flex;
    align-items: end;
    gap: 5px;
    color: var(--color-text);
    font-style: normal;
}

.planPrice span{
    font-family: var(--font-secondary, sans-serif), sans-serif;
    font-size: 17px;
    font-weight: 400;
    line-height: 25px;
}

.planPrice p{
    font-family: var(--font-primary, sans-serif), sans-serif;
    font-size: 39px;
    font-weight: 700;
    line-height: 56px;
    height: 46px;
}

.planFeatures{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 25px;
}

.planFeaturesItem{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    width: 270px;
}

.planFeaturesItem p{
    color: var(--color-text);
    text-align: left;
    font-family: var(--font-secondary, sans-serif), sans-serif;
    font-size: 13px;
    font-style: normal;
    font-weight: 400;
    line-height: 20px;
}

.planPhrase p{
    color: var(--color-text);
    text-align: center;
    font-family: var(--font-secondary, sans-serif), sans-serif;
    font-size: 10px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    letter-spacing: 1px;
    text-transform: uppercase;
    opacity: 0.8;
}

.buttonPlan{
    margin-top: 45px;
}

.buttonPlan button{
    cursor: pointer;
    border-radius: 10px;
    border: 1px solid rgba(14, 52, 42, 0.40);
    width: 383px;
    height: 49px;
    text-align: center;
    font-family: var(--font-secondary, sans-serif), sans-serif;
    font-size: 15px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    letter-spacing: 1px;
    text-transform: uppercase;
}

@media (max-width: 850px) {
    .plans {
        gap: 50px;
    }
    
    .buttonPlan {
        margin-top: 15px;
    }
}

@media (max-width: 650px) {
    .planInformation {
        height: 520px;
        padding: 15px 0;
    }

    .planFeatures {
        gap: 15px;
    }

    .planFeaturesItem {
        width: 320px;
        justify-content: normal;
    }
    
    .planTitle {
        height: 65px;
    }
    
    .planTitle h3 {
        font-size: 1.5rem;
    }
    
    .planDescription p {
        font-size: 14px;
    }
    
    .planPrice p {
        font-size: 2rem;
    }
    
    .planFeaturesItem p {
        font-size: 12px;
    }
    
    .buttonPlan button {
        font-size: 13px;
    }
}